Subject: bug#25348: `display` property faces are prioritized above overlays

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Jan 2017 18:27:55 +0200

> From: Travis Foster <[email-masked]>
> Date: Wed, 4 Jan 2017 13:59:00 -0800
> Cc: Drew Adams <[email-masked]>
> 
> So, alright, this isn't a bug. What if I don't want this behavior, though? Is there anything I can do to my display
> properties so that they don't show through overlays? I sort of doubt it at this point, but I might as well ask.

As I already mentioned, if your face for the display string doesn't
specify a background color, the hl-line background color will be used.

If that's not an option, perhaps you could do that dynamically, by
changing the face of the display string whenever the hl-line overlay
is on the line where you have your display string?

Or maybe someone else will have more clever ideas.